Bug 1126028 - Instructions on how to configure a VNC server are wrong
Summary: Instructions on how to configure a VNC server are wrong
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-System_Administrators_Guide
Version: 7.1
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Stephen Wadeley
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1129759
TreeView+ depends on / blocked
 
Reported: 2014-08-01 16:01 UTC by Jaromir Hradilek
Modified: 2019-03-06 02:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-18 19:39:16 UTC


Attachments (Terms of Use)

Description Jaromir Hradilek 2014-08-01 16:01:37 UTC
In order to configure the VNC server, the TigerVNC chapter in the System Administrator's Guide for Red Hat Enterprise Linux advises to set the password for the user by typing the following at a shell prompt as root:

  # vncpasswd user

This is incorrect, because the vncpasswd command does not accept a username as an argument and in this particular case, creates a file named "user" in the home directory of the root user. As a consequence, any attempt to start the VNC server fails with an error. The correct procedure is to log in as the user and run the vncpasswd command without any arguments:

  # su - user
  $ vncpasswd

Comment 2 Stephen Wadeley 2014-11-18 19:39:16 UTC
Hello

thank you for taking the time to raise this bug.

This is now fixed and change now live in:

Red_Hat_Enterprise_Linux-System_Administrators_Guide-7-web-en-US-0.12-0.6.el6eng

Revision 0.12-0.6	Tue Nov 18 2014	Stephen Wadeley
Improved TigerVNC. 

Regards
Stephen


Note You need to log in before you can comment on or make changes to this bug.